# History file '98-mtt.h' to compute multivalued ray-theory
# travel times in nodes of 2-D grid in model "98" and
# to generate colour figures of the travel time maps
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# Input files required
 #chk.pl: "crt/98/" "98-crt1.dat"
 #chk.pl: "crt/98/" "98-mod.dat"
 #chk.pl: "crt/98/" "98-src.dat"
 #chk.pl: "crt/98/" "98-rpa1.dat"
 #chk.pl: "crt/"    "writall.dat"
 #chk.pl: "forms/"  "echo.pl"

# Grid dimensions
  N1=251   N2=1    N3=201
  D1=0.02  D2=1    D3=0.02
  O1=0.0   O2=2.5  O3=0.0

# Ray tracing of refracted wave ('crt.for' cannot include 'scropc.for')
  crt: '98-crt1.dat' /

# Main input data file for program 'mtt.for'
  echo.pl: "'r01.out'  'r01i.out' 't01.out' /"  >mtt.tmp
  echo.pl: "'98-num.out' /                   " >>mtt.tmp
  echo.pl: "'98-tt.out' 'tt' /               " >>mtt.tmp
  echo.pl: "'98-hi.out' 'hi' /               " >>mtt.tmp

# Interpolation of travel times within ray cells
  mtt: '98-mtt.h' 'mtt.tmp' /

# Plotting numbers of arrivals at the gridpoints
  HSIZE=15  YSIGN=-1
  VPLUS=2  CREF=0.166667
  grdps: '98-mtt.h' '98-num.out' '98-num.ps' /

# Plotting grid travel times sorted according to their value
  VCIRC=0.2  VREF=0  CREF=0.166667
  mgrd>mgrd.out: '98-mtt.h' '98-num.out' '98-tt.out' '98-tt000.out' /
  grdps: '98-mtt.h' '98-tt000.out' '98-tt001.ps' /

# Plotting grid travel times sorted according to the histories
  mttgrd>mttgrd.out: '98-mtt.h' '98-num.out' '98-hi.out' '98-tt.out' '98-tt100.out' /
  grdps: '98-mtt.h' '98-tt100.out' '98-tt101.ps' /

# ======================================================================

# Temporary files (may be deleted)
# '*.tmp'
# 'r0*.out'
# 's0*.out'
# 't0*.out'

# List of output files
# '98-num.out'  Numbers of travel times
# '98-hi.out'   Multivalued ray histories
# '98-tt.out'   Multivalued travel times
# '98-t000.out' Travel times separated into N4 univalued slices
# '98-t100.out' Travel times sorted according to ray histories
# 'mttgrd.out'  Screen output of 'mttgrd.for'
# 'mgrd.out'    Screen output of 'mgrd.for'

# List of output colour PostScript figures
# '98-num.ps'   Numbers of travel times at the gridpoints.
#               Plots of univalued travel-time maps:
# '98-tt0**.ps' Travel times sorted according to their values
# '98-tt1**.ps' Travel times sorted according to ray histories
