# History file 'len-crt.h' to perform two-point ray tracing
# in the model with a LENticular inclusion
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# Input files required:
 #chk.pl: "model/"   "model.dat"
 #chk.pl: "crt/len/" "len-crt.dat"
 #chk.pl: "crt/len/" "len-rpa.dat"
 #chk.pl: "crt/len/" "len-rec.dat"
 #chk.pl: "crt/len/" "len-rp2.dat"
 #chk.pl: "crt/len/" "len-rp4.dat"
 #chk.pl: "crt/len/" "len-rp5.dat"
 #chk.pl: "crt/len/" "len-rp6.dat"
 #chk.pl: "crt/len/" "len-rp7.dat"
 #chk.pl: "crt/"     "dcrt.dat"
 #chk.pl: "crt/"     "init.dat"
 #chk.pl: "crt/"     "len-src.dat"
 #chk.pl: "crt/"     "code1.dat"
 #chk.pl: "crt/"     "writ.dat"

# Ray tracing of the refracted wave ('crt.for' cannot include 'scropc.for'):
  crt: 'len-crt.dat' /

# Generating the figures of the ray parameters:
  rpplot: 'len-rp2.dat' /
  rpplot: 'len-rp4.dat' /
  rpplot: 'len-rp5.dat' /
  rpplot: 'len-rp6.dat' /
  rpplot: 'len-rp7.dat' /

# Supplementing receivers with the third coordinate:
  intf: 'model.dat' 'len-rec.dat' 'len-rec.tmp' 2 3 /
# Note: File 'len-rec.dat' contains only X1,X2 receiver coordinates.
#       If it were submitted to program 'crtpts.for' as the receiver
#       file, the travel time could be extrapolated in the horizontal
#       plane to the receiver position, but the vertical X3 coordinate
#       would correspond to the numerical approximation of the point
#       of intersection with the reference surface (Earth surface)
#       rather than to the exact X3 coordinate of the receiver.

# Rewriting the travel times at the receivers into a formatted file:
  crtpts: 'len-rec.tmp' 3* 'len-rec.out'  4 0 1 0 /

# ======================================================================

# Temporary files (may be deleted):
# '*.tmp'
# 'r0*.out'
# 's0*.out'

# List of output PostScript figures:
# len-rp2.ps, len-rp4.ps, ..., len-rp7.ps... Refer to paper
#     Bulant, P.: 3-D two-point ray tracing in pictures.  In: Seismic
#             Waves in Complex 3-D Structures, Report 6 (Department of
#             Geophysics, Charles University, Prague, September 1997)
