# Controlled initial-value ray tracing in the model with
# a LENticular inclusion followed by Interpolation of travel times
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# Input files required:
 #chk.pl: "forms/"   "echo.pl"
 #chk.pl: "model/"   "model.dat"
 #chk.pl: "crt/len/" "leni-crt.dat"
 #chk.pl: "crt/len/" "leni-rpa.dat"
 #chk.pl: "crt/len/" "len-rec.dat"
 #chk.pl: "crt/"     "init.dat"
 #chk.pl: "crt/"     "len-src.dat"
 #chk.pl: "crt/"     "code1.dat"
 #chk.pl: "crt/"     "writall.dat"

# Grid dimensions:
  N1=601  N2=1    N3=301
  O1=0    O2=10   O3=-25
  D1=0.1  D2=1    D3=0.1

# Ray tracing of refracted wave ('crt.for' cannot include 'scropc.for'):
  crt:   'leni-crt.dat' /

# Main input data file for program 'mtt.for':
  echo.pl: "/"                      >mtt.tmp # Default input files
  echo.pl: "'len-num.out'       /" >>mtt.tmp # Output: numbers of arrivals
  echo.pl: "'len-mtt.out', 'tt' /" >>mtt.tmp #         travel times
  echo.pl: "'len-his.out', 'hi' /" >>mtt.tmp #         ray histories

# Interpolation of travel times within ray cells:
  mtt:   'leni-mtt.h' 'mtt.tmp' /

# Plotting numbers of arrivals at the gridpoints:
  VPLUS=2  CREF=0.166667
  grdps: 'leni-mtt.h' 'len-num.out' 'len-num.ps' /

# Plotting travel times at the gridpoints, sorted according to their value:
  VCIRC=1  VREF=0  CREF=0.166667
  mgrd:  'leni-mtt.h' 'len-num.out' 'len-mtt.out' 'len-t00.out' /
  grdps: 'leni-mtt.h' 'len-t00.out' 'len-t01.ps' /

# ======================================================================

# Temporary files (may be deleted):
# '*.tmp'
# 'r0*.out'
# 's0*.out'
# 't0*.out'

# List of output files:
# 'len-num.out' Numbers of travel times
# 'len-his.out' Multivalued ray histories
# 'len-mtt.out' Multivalued travel times
# 'len-t00.out' Travel times separated into N4 univalued slices

# List of output colour PostScript figures:
# 'len-num.ps'  Numbers of travel times at the gridpoints.
# 'len-t**.ps'  Travel times, sorted according to their size
#               (e.g., file  'leni-t01.ps' contains the travel times
#               of the fastest arrival).
